package intrinsic.mx.messaging.config;

public class ServerConfig extends Object {

	/** Accessors */

	/** Variables */

	/** Constants */
	public static final String CLASS_ATTR = "class_attr";
	public static final String URI_ATTR = "uri_attr";

	/** Class Accessors */
	public static intrinsic.XML xml;

	/** Class variables */
	public static intrinsic.XML serverConfigData;

/** Contructors */
public ServerConfig() {
}


/** Static Methods */
public static native intrinsic.mx.messaging.Channel getChannel(String arg0);
public static native intrinsic.mx.messaging.Channel getChannel(String arg0, boolean arg1);
public static native intrinsic.mx.messaging.ChannelSet getChannelSet(String arg0);
public static native void updateServerConfigData(intrinsic.mx.messaging.config.ConfigMap arg0);
public static native void updateServerConfigData(intrinsic.mx.messaging.config.ConfigMap arg0, String arg1);
public static native boolean fetchedConfig(String arg0);
public static native boolean channelSetMatchesDestinationConfig(intrinsic.mx.messaging.ChannelSet arg0, String arg1);
public static native void checkChannelConsistency(String arg0, String arg1);
public static native boolean needsConfig(intrinsic.mx.messaging.Channel arg0);
public static native intrinsic.Array getChannelIdList(String arg0);
public static native intrinsic.XMLList getProperties(String arg0);

/** Methods */

}
